{
    "name": "analysis",
    "version": "1.0.0",
    "scripts": {
        "dev": "vite",
        "build": "vite build",
        "yarn:install": "yarn --ignore-engines",
        "build:zip": "sh ./build/main.sh all",
        "build:zip:wgt": "sh ./build/main.sh wgt",
        "build:test": "sh ./build/test.sh all",
        "build:test:wgt": "sh ./build/test.sh wgt",
        "lint": "eslint --ext .js,.vue src",
        "lint:fix": "eslint . --fix"
    },
    "dependencies": {
        "axios": "^1.6.8",
        "crypto-js": "^4.2.0",
        "dayjs": "^1.11.10",
        "echarts": "^5.5.0",
        "element-plus": "2.6.3",
        "hc-vue3-ui": "^3.8.5",
        "js-base64": "^3.7.7",
        "js-fast-way": "^0.4.7",
        "js-md5": "^0.8.3",
        "nprogress": "^0.2.0",
        "pinia": "^2.1.7",
        "vue": "3.4.21",
        "vue-router": "^4.3.0",
        "vuedraggable": "^4.1.0"
    },
    "devDependencies": {
        "@iconify-json/iconoir": "^1.1.42",
        "@iconify-json/ri": "^1.1.20",
        "@iconify-json/solar": "^1.1.9",
        "@unocss/eslint-config": "^0.58.9",
        "@vitejs/plugin-vue": "^4.5.2",
        "@vue/compiler-sfc": "^3.4.21",
        "archiver": "^7.0.1",
        "bignumber.js": "^9.1.2",
        "eslint": "^8.57.0",
        "eslint-plugin-vue": "^9.24.0",
        "sass": "^1.72.0",
        "unocss": "^0.58.9",
        "unocss-preset-extra": "^0.5.3",
        "vite": "^4.5.0",
        "vue3-seamless-scroll": "^2.0.1"
    }
}
